<div>
    <h3>SiLA Cockpit Plugin</h3>
    <table class="table table-bordered table-hover table-condensed">
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Type</th>
                <th>Host</th>
                <th>Port</th>
                <th>Status</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr data-ng-repeat="(key, server) in silaServerList">
                <td>{{ server.configuration.uuid }}</td>
                <td>{{ server.configuration.name }}</td>
                <td>{{ server.information.type }}</td>
                <td>{{ server.host }}</td>
                <td>{{ server.port }}</td>
                <td>{{ server.status }}</td>
                <td>
                    <button ng-click="deleteServer(key)"
                            type="button" class="btn btn-primary">Delete</button>
                    <button ng-click="getModelerTemplate(key, server.information.type)"
                            type="button" class="btn btn-default">Download Modeler File</button>
                </td>
            </tr>
        </tbody>
    </table>

    <div>
        Add a new SiLA Server:
        <table class="table table-bordered table-hover table-condensed">
            <thead>
                <tr>
                    <th>Host</th>
                    <th>Port</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><input ng-model="newHost" id="newHost" /></td>
                    <td><input ng-model="newPort" id="newPort" /></td>
                    <td>
                        <button ng-click="addServer(newHost,newPort)"
                                type="button" class="btn btn-primary">Add</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <button ng-click="scanNetwork()" type="button" class="btn btn-primary">
        Scan network
    </button>
</div>
